import 'package:flutter/cupertino.dart';
import 'package:flutter/material.dart';
import 'package:qhd_prevention/pages/home/SafetyCommitment/safety_commitment_other_list_page.dart';
import 'package:qhd_prevention/pages/home/SafetyCommitment/safety_commitment_tab_list.dart';
import 'package:qhd_prevention/pages/home/tap/item_list_widget.dart';
import 'package:qhd_prevention/pages/my_appbar.dart';
import 'package:qhd_prevention/tools/tools.dart';

class SafetyCommitmentPage extends StatefulWidget {
  const SafetyCommitmentPage({super.key});

  @override
  State<SafetyCommitmentPage> createState() => _SafetyCommitmentPageState();
}

class _SafetyCommitmentPageState extends State<SafetyCommitmentPage> {
  @override
  Widget build(BuildContext context) {
    return Scaffold(
      appBar: MyAppbar(title: "安全承诺"),
      body: Column(
        children: [
          Container(
            color: Colors.white,
            padding: EdgeInsets.only(top: 10),
            child: Column(
              children: [
                ItemListWidget.selectableLineTitleTextRightButton(
                  label: '危化行业安全承诺：',
                  isEditable: true,
                  isRequired: false,
                  onTap: () {
                    pushPage(SafetyCommitmentTabList(), context);
                  },
                  text: ' ',
                ),
                const Divider(),
                ItemListWidget.selectableLineTitleTextRightButton(
                  label: '其他行业安全承诺：',
                  isEditable: true,
                  isRequired: false,
                  onTap: () {
                    pushPage(SafetyCommitmentOtherListPage(), context);
                  },
                  text: ' ',
                ),
                const Divider(color: Colors.white,),

              ],
            ),
          ),
        ],
      ),
    );
  }
}
